Subject: Re: bug#77917: 31.0.50; [PATCH] Stop using the "stop" sign for all warning levels

From: Robert Pluim <[email-masked]>
Date: Tue, 06 May 2025 09:39:56 +0200

>>>>> On Mon, 05 May 2025 21:53:31 +0300, Juri Linkov <[email-masked]> said:

    >>> Then, what about
    >>> 
    >>> +                (insert (buttonize (concat (icon-string 'warnings-suppress) " [Suppress?]")
    >>> +                                   #'warnings-suppress
    >>> +                                   type
    >>> +                                   "Click to suppress this warning type")
    >> 
    >> May I suggest to look at how other applications handle such
    >> situations, i.e. when a message is shown and the user is given a
    >> capability of disabling it?  Maybe that way we will find
    >> implementation ideas that are both familiar to users and look nicer?

    Juri> Here is an interesting solution of using the context menu
    Juri> to suppress warnings:

    Juri> https://stackoverflow.com/questions/32085708/suppress-warnings-in-visual-studio-2015-for-custom-code-analyzers

I conclude from that that we should use U+26A0 U+FE0F ⚠️ as the symbol
to insert. Right clicking does not necessarily come easy to Emacs
users, so I still think a text button is needed.

Robert
--